=== debian/changelog ===
asylum (0.3.2-4) unstable; urgency=medium

  * Team upload.
  * Apply Multi-Arch: hint
  * Switch to debhelper-compat 13

  [ Niels Thykier ]
  * Declare explicit need for fakeroot due to non-root:root ownership

  [ Helmut Grohne ]
  * fix FTCBFS (Closes: #907441)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 15:38:48 +0100

asylum (0.3.2-3) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.4.
  * Move the package to Git and salsa.debian.org.
  * Drop deprecated menu file.

 -- Markus Koschany <apo@debian.org>  Thu, 17 May 2018 13:34:38 +0200

asylum (0.3.2-2) unstable; urgency=medium

  * Team upload.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Use compat level 9 and require debhelper >= 9.
  * Switch to source format 3.0 (quilt).
  * Use canonical Vcs-URI.
  * asylum-data: Suggest asylum.
  * asylum.desktop: Add keywords and comment in German.
  * Convert debian/rules to dh sequencer. Add asylum.manpages file.
  * Fix buffer overruns and compiler warnings.
    Thanks to Johann Klammer for the report and Peter De Wachter for the
    patches. (Closes: #785109)
  * Add ${misc:Depends} to asylum-data.
  * Add clean file and remove pre-built asylum binary.

 -- Markus Koschany <apo@debian.org>  Thu, 26 Nov 2015 20:50:18 +0100

asylum (0.3.2-1) unstable; urgency=low

  * New upstream upstream version.
  * Dropped our patches, they've been integrated upstream.
  * Bumped Standards-Version to 3.8.3. No changes needed.

 -- Peter De Wachter <pdewacht@gmail.com>  Sat, 07 Nov 2009 21:28:14 +0100

asylum (0.3.0-4) unstable; urgency=low

  * Make the menus work with internationalized keyboards. (Closes: #538772)
  * Redraw the window after receiving an expose event. (Closes: #525727)
  * Bumped Standards-Version to 3.8.2. No changes needed.

 -- Peter De Wachter <pdewacht@gmail.com>  Tue, 28 Jul 2009 22:09:01 +0200

asylum (0.3.0-3) unstable; urgency=low

  * Fixed endianness problems in the OpenGL rendering code. (Closes: #527568)

 -- Peter De Wachter <pdewacht@gmail.com>  Wed, 13 May 2009 00:28:54 +0200

asylum (0.3.0-2) unstable; urgency=low

  * Fixed permissions of high score files.

 -- Peter De Wachter <pdewacht@gmail.com>  Sun, 29 Mar 2009 18:01:12 +0200

asylum (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #490858)

 -- Peter De Wachter <pdewacht@gmail.com>  Tue, 17 Mar 2009 08:01:55 +0100
