## asylum 1.0.1

=== DESCRIPTION ===
Package: asylum
Type: Package
Title: Data on Asylum and Resettlement for the UK
Version: 1.0.1
Authors@R: c(
    person(given = c("Matthew", "Gwynfryn"), 
           family = "Thomas", 
           email = "matthewgthomas@gmail.com", 
           role = c("cre", "aut")),
    person(given = "Mike", 
           family = "Page", 
           email = "mpage@redcross.org.uk", 
           role = "aut"),
    person(family = "British Red Cross", 
           role = "cph")
    )
Description: Data on Asylum and Resettlement for the UK,
    provided by the Home Office <https://www.gov.uk/government/statistics/immigration-statistics-year-ending-june-2021>.
License: MIT + file LICENSE
URL: https://github.com/britishredcrosssociety/asylum
BugReports: https://github.com/britishredcrosssociety/asylum/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-09-02 16:00:55 UTC; 040026704
Author: Matthew Gwynfryn Thomas [cre, aut],
  Mike Page [aut],
  British Red Cross [cph]
Maintainer: Matthew Gwynfryn Thomas <matthewgthomas@gmail.com>
Repository: CRAN
Date/Publication: 2021-09-06 08:20:13 UTC
