## asylum 1.0.3

=== DESCRIPTION ===
Package: asylum
Type: Package
Title: Data on Asylum and Resettlement for the UK
Version: 1.0.3
Authors@R: c(
    person(given = c("Matthew", "Gwynfryn"), 
           family = "Thomas", 
           email = "matthewgthomas@gmail.com", 
           role = c("cre", "aut")),
    person(given = "Mike", 
           family = "Page", 
           email = "mpage@redcross.org.uk", 
           role = "aut"),
    person(family = "British Red Cross", 
           role = "cph")
    )
Description: Data on Asylum and Resettlement for the UK,
    provided by the Home Office <https://www.gov.uk/government/statistical-data-sets/immigration-system-statistics-data-tables-year-ending-december-2022>.
License: MIT + file LICENSE
URL: https://github.com/humaniverse/asylum
BugReports: https://github.com/humaniverse/asylum/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-03-11 13:29:02 UTC; mgt
Author: Matthew Gwynfryn Thomas [cre, aut],
  Mike Page [aut],
  British Red Cross [cph]
Maintainer: Matthew Gwynfryn Thomas <matthewgthomas@gmail.com>
Repository: CRAN
Date/Publication: 2023-03-11 13:50:05 UTC
