## asylum 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: asylum
 Type: Package
 Title: Data on Asylum and Resettlement for the UK
-Version: 1.1.1
+Version: 1.1.2
 Authors@R: c(
     person(given = c("Matthew", "Gwynfryn"), 
            family = "Thomas", 
@@ -24,10 +24,10 @@
 Depends: R (>= 2.10)
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-08-24 14:01:08 UTC; 040026704
+Packaged: 2023-12-19 17:01:51 UTC; 040026704
 Author: Matthew Gwynfryn Thomas [cre, aut],
   Mike Page [aut],
   British Red Cross [cph]
 Maintainer: Matthew Gwynfryn Thomas <matthewgthomas@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-08-24 14:20:05 UTC
+Date/Publication: 2023-12-19 17:50:02 UTC
